## glusterfs 3.4.1

=== debian/changelog ===
glusterfs (3.4.1-1ubuntu1) trusty; urgency=low

  * Merge from Debian testing. Remaining changes:
    - Added Ubuntu upstart jobs providing support for local glusterfs mounts.

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Wed, 11 Dec 2013 17:43:58 +0700

glusterfs (3.4.1-1) unstable; urgency=low

  * New upstream release.
    - Refresh hunky patch 01-spelling-error.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 27 Sep 2013 21:40:14 +0200

glusterfs (3.4.0-4) unstable; urgency=low

  * Move pkgconfig to multi arch libdir. This fixes the lintian error
    pkg-config-multi-arch-wrong-dir.
  * Remove Matthias Albert from uploaders. Thanks for your work!

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 05 Sep 2013 10:57:01 +0200

glusterfs (3.4.0-3) unstable; urgency=low

  * Move /var/log/glusterfs from glusterfs-server to glusterfs-common package.
    Closes: #719583

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 02 Sep 2013 10:41:49 +0200

glusterfs (3.4.0-2) unstable; urgency=low

  [ Louis Zuckerman ]
  * Added new build-deps (lvm, aio, rdmacm).
  * Install glfs.h in /usr/include/glusterfs/api/
    Closes: #717558

  [ Patrick Matthäi ]
  * Extend patch 01-spelling-error to fix some more spelling errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 23 Jul 2013 13:53:32 +0200

glusterfs (3.4.0-1) unstable; urgency=low

  * New upstream release.
    - Add patch 01-spelling-error to fix an spelling error.
  * Build with dh-autoreconf.
  * Overwrite false positive spelling-error-in-binary lintian warnings.
  * Fix lintian warning init.d-script-call-internal-API.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 18 Jul 2013 14:16:06 +0200

glusterfs (3.4.0~qa9realybeta3-1) unstable; urgency=low

  * New upstream beta release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 12 Jun 2013 12:11:36 +0200

glusterfs (3.4.0~qa9realybeta2-1) unstable; urgency=low

  * New upstream beta release.
  * Uploading to unstable.
    Closes: #710074

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 29 May 2013 09:55:03 +0200

glusterfs (3.4.0~qa9realyalpha3-1) experimental; urgency=low

  [ Louis Zuckerman ]
  * Added libxml2 dependencies to support --xml CLI option.

  [ Patrick Matthäi ]
  * New upstream alpha release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 18 Apr 2013 12:54:04 +0200

glusterfs (3.4.0~qa9realyalpha2-1) experimental; urgency=low

  * New upstream alpha release.
    - Adjust file paths in debian/rules.
  * Overwrite unused-shlib-entry-in-control-file lintian warnings.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 07 Mar 2013 09:46:37 +0100

glusterfs (3.4.0~qa9realyalpha1-1) experimental; urgency=low

  * New upstream alpha release, but keeping the qa in the version to avoid
    adding an epoch.
    - Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 08 Feb 2013 15:58:04 +0100

glusterfs (3.4.0~qa8-1) experimental; urgency=low

  * New upstream QA release.
  * Overwrite false positive lintian warning about an spelling error.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 02 Feb 2013 12:15:17 +0100

glusterfs (3.4.0~qa7-1) experimental; urgency=low

  * New upstream QA release.
    - Drop merged patch 01-format-security.
    - Drop merged patch 02-spelling-error.
    - Remove some fixed shlib-with-executable-stack overrides.
  * Merge 3.2.7-4 and 3.2.7-5 changelog.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 25 Jan 2013 09:30:49 +0100

glusterfs (3.4.0~qa6-2) experimental; urgency=low

  * Set homepage to www.gluster.org.
  * Migrate package from cdbs to minimal debhelper.
  * Switch to xz compression and add a Pre-Depends on dpkg.
  * Depend on fuse instead of fuse-utils package.
    Closes: #698125

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 14 Jan 2013 19:54:10 +0100

glusterfs (3.4.0~qa6-1) experimental; urgency=low

  * New upstream QA release.
  * Use wildcards in lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 20 Dec 2012 10:07:50 +0100

glusterfs (3.4.0~qa5-1) experimental; urgency=low

  * New upstream QA release.
    - Fixes insecure temporary file creation as described in CVE-2012-4417.
    - Add patch 01-format-security to fix some FTBFS.
    - Add patch 02-spelling-error to fix an spelling error.
  * Reload glusterd after logrotate.
  * Move all libraries to the glusterfs-common package.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 14 Dec 2012 10:54:32 +0100

glusterfs (3.3.1-2) experimental; urgency=low

  * Recommend nfs-common instead of suggesting it. glusterfs tries to register
    the shares per default at portmapper.
  * Merge changes from 3.2.7-3.
    Closes: #691595

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 12 Nov 2012 20:40:54 +0100

glusterfs (3.3.1-1) experimental; urgency=low

  * New upstream release.
    - Remove lintian overrides about fixed spelling-error-in-binary warnings.
  * Merge 3.2.7-2~bpo60+1 changelog.
  * Use wildcards in lintian overrides.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Update debian/watch to the new download server location.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 15 Oct 2012 09:46:25 +0200

glusterfs (3.3.0-2) experimental; urgency=low

  * Merge 3.2.7-1 and 3.2.7-2 changelog.
  * Move /var/log/glusterfs directory creation completely to the
    glusterfs-server package.
    Closes: #682732
  * Add all missing manpages.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 31 Jul 2012 21:42:12 +0200

glusterfs (3.3.0-1) experimental; urgency=low

  [ Louis Zuckerman ]
  * New upstream release.
    - Added build dependency libssl-dev
    - Removed debian/patches
    - Removed glusterfs-examples package, manual configuration is not supported.
      Since 3.1 all configuration is done via CLI manager application
    - Disabled packaging of manpages since they are excluded from source code
      until 3.3.1+ (GlusterFS Bug #825906)
  * Updated Debian packaging copyright file


=== debian/control ===
Source: glusterfs
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Uploaders: Louis Zuckerman <me@louiszuckerman.com>
Build-Depends: debhelper (>= 9),
 dh-autoreconf,
 libfuse-dev (>= 2.6.5),
 libibverbs-dev (>= 1.0.4),
 libdb-dev,
 librdmacm-dev,
 libaio-dev,
 liblvm2-dev,
 attr,
 flex,
 bison,
 libreadline-dev,
 libncurses5-dev,
 libssl-dev,
 libxml2-dev,
 pkg-config,
 python-all-dev (>= 2.6.6-3~),
 hardening-wrapper
Standards-Version: 3.9.4
Homepage: http://www.gluster.org/

Package: glusterfs-client
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends},
 ${shlibs:Depends},
 python,
 fuse,
 glusterfs-common (>= ${binary:Version})
Description: clustered file-system (client package)
 GlusterFS is a clustered file-system capable of scaling to several
 peta-bytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package provides the FUSE based GlusterFS tool.

Package: glusterfs-server
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends},
 ${shlibs:Depends},
 lsb-base (>= 3.0-6),
 glusterfs-common (>= ${binary:Version}),
 glusterfs-client (>= ${binary:Version})
Recommends: nfs-common
Description: clustered file-system (server package)
 GlusterFS is a clustered file-system capable of scaling to several
 peta-bytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package installs init scripts and configuration files to turn
 GlusterFS into a fully fledged file server.

Package: glusterfs-common
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
 dpkg (>= 1.15.6~)
Depends: ${misc:Depends},
 ${shlibs:Depends}
Conflicts: libglusterfs0,
 libglusterfs-dev
Breaks: glusterfs-server (<< 3.4.0~qa5)
Replaces: glusterfs-server (<< 3.4.0~qa5),
 libglusterfs0,
 libglusterfs-dev
Description: GlusterFS common libraries and translator modules
 GlusterFS is a clustered file-system capable of scaling to several
 petabytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package includes libglusterfs and glusterfs translator modules
 common to both GlusterFS server and client framework.

Package: glusterfs-dbg
Section: debug
Priority: extra
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends},
 ${misc:Depends},
 glusterfs-client (= ${binary:Version})
Description: GlusterFS debugging symbols
 GlusterFS is a clustered file-system capable of scaling to several
 peta-bytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility.  It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package includes the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

%:
	dh $@ --with python2 --with autoreconf

override_dh_install:
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/trace.so
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/error-gen.so
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/io-stats.so
	find debian/tmp/usr/lib -type f -name \*.la -exec sed 's/^dependency_libs/#dependency_libs/g' -i {} \;
	dh_install

binary-install/glusterfs-server::
	dh_installinit -pglusterfs-server --upstart-only --no-start --name mounting-glusterfs

override_dh_builddeb:
	dh_builddeb -- -Zxz
override_dh_strip:
	dh_strip --dbg-package=glusterfs-dbg

## glusterfs 3.4.2

=== debian/changelog ===
glusterfs (3.4.2-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Updated mount blocking upstart job to wait until network is up for
      all glusterfs mounts (LP: #1268064)

 -- Louis Zuckerman <me@louiszuckerman.com>  Fri, 10 Jan 2014 21:40:13 -0500

glusterfs (3.4.2-1) unstable; urgency=low

  * New upstream release.
  * Overwrite debian-watch-may-check-gpg-signature warning. There is no GPG
    signature available.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 03 Jan 2014 12:26:31 +0100

glusterfs (3.4.1-2ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Added Ubuntu upstart jobs providing support for local glusterfs mounts

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 23 Dec 2013 17:11:50 +0530

glusterfs (3.4.1-2) unstable; urgency=low

  * Merge 3.2.7-3+deb7u1 and 3.2.7-3+deb7u1~bpo60+1 changelog.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.
  * Send SIGHUP to all glusterfs processes in postrotate and depend on psmisc.
    Closes: #729610

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 12 Dec 2013 09:30:23 +0100

glusterfs (3.2.7-3+deb7u1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
    - Build the package with python-support to avoid a FTBFS.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 22 Nov 2013 10:49:08 +0100

glusterfs (3.2.7-3+deb7u1) stable; urgency=low

  * Add patch 04-ext4-safe to fix broken glusterfs with Linux
    >= 3.2.46-1+deb7u1 if you use ext4 as storage backend.
    Closes: #722694

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 27 Sep 2013 21:13:42 +0200

=== debian/control ===
--- 
+++ 
@@ -22,12 +22,11 @@
  pkg-config,
  python-all-dev (>= 2.6.6-3~),
  hardening-wrapper
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.gluster.org/
 
 Package: glusterfs-client
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  python,
@@ -46,7 +45,6 @@
 
 Package: glusterfs-server
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  lsb-base (>= 3.0-6),
@@ -68,10 +66,10 @@
 Package: glusterfs-common
 Section: libs
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends},
- dpkg (>= 1.15.6~)
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
+ psmisc
 Conflicts: libglusterfs0,
  libglusterfs-dev
 Breaks: glusterfs-server (<< 3.4.0~qa5)
@@ -94,7 +92,6 @@
 Section: debug
 Priority: extra
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  glusterfs-client (= ${binary:Version})

=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,9 @@
 	find debian/tmp/usr/lib -type f -name \*.la -exec sed 's/^dependency_libs/#dependency_libs/g' -i {} \;
 	dh_install
 
-binary-install/glusterfs-server::
-	dh_installinit -pglusterfs-server --upstart-only --no-start --name mounting-glusterfs
+override_dh_installinit:
+	dh_installinit -pglusterfs-client --no-start --name mounting-glusterfs
+	dh_installinit
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
 override_dh_strip:
 	dh_strip --dbg-package=glusterfs-dbg

=== debian/watch ===
version=3
http://bits.gluster.com/pub/gluster/glusterfs/src/glusterfs-([\d.]+)\.tar\.gz

## glusterfs 3.5.2

=== debian/changelog ===
glusterfs (3.5.2-2ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/{.upstart}:
      + Updated mount blocking upstart job to wait until network
        is up for all glusterfs mounts.

 -- Artur Rona <ari-tczew@ubuntu.com>  Tue, 24 Mar 2015 00:09:54 +0100

glusterfs (3.5.2-2) unstable; urgency=high

  * Add patch 01-CVE-2014-3619 to fix a fragment header infinite loop DoS in
    glusterfs as described in CVE-2014-3619.
    Closes: #781018

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 23 Mar 2015 15:35:25 +0100

glusterfs (3.5.2-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/{.upstart}:
      + Updated mount blocking upstart job to wait until network
        is up for all glusterfs mounts.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 28 Dec 2014 23:46:24 +0100

glusterfs (3.5.2-1) unstable; urgency=medium

  * New upstream release.
    - Drop merged patch 01-cluster_stripe_don_t_treat_ESTALE_as_failure.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 01 Aug 2014 13:02:54 +0200

glusterfs (3.5.1-2) unstable; urgency=medium

  * Add /var/log/glusterfs/bricks/*.log to logrotate path.
    Closes: #754454

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 14 Jul 2014 10:25:13 +0200

glusterfs (3.5.1-1) unstable; urgency=medium

  * New upstream release.
    - Remove again the call of autogen.sh.
    - Drop merged patch 01-spelling-error.
  * Adjust debian/watch to new server location.
  * Acknowledge NMU. Thanks Thomas!
  * Switch away from hardening-wrapper.
  * Rename patch from last NMU.
  * Overwrite false positive hardening-no-fortify-functions warning.
  * Add usr/sbin/glfsheal to glusterfs-server package.
  * Overwrite another unused-shlib-entry-in-control-file warning.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 07 Jul 2014 13:36:45 +0200

glusterfs (3.5.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixes creating symlinks generates errors by applying upstream patch:
    cluster/stripe: don't treat ESTALE as failure in lookup (Closes: #751888).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Jul 2014 14:50:34 +0000

glusterfs (3.5.0-1) unstable; urgency=medium

  * New upstream release.
    - Rewrite patch 01-spelling-error.
    - Adjust lintian overrides.
    - Install new files.
    - The offical tarball is not properly generated, hack it around.
    - Add symlink from fusermount-glusterfs manpage to mount.glusterfs.
    - Move gsync-sync-gfid from /usr/share to /usr/lib.
    - Add benchmarking directory.
  * Remove old versioned build dependencies and build depend on libglib2.0-dev.
  * Add lintian override for possible-gpl-code-linked-with-openssl. It is the
    same false positive like with the gluster-server package.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 22 Apr 2014 10:00:41 +0200

glusterfs (3.4.3-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 03 Apr 2014 10:19:34 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Louis Zuckerman <me@louiszuckerman.com>
 Build-Depends: debhelper (>= 9),
  dh-autoreconf,
- libfuse-dev (>= 2.6.5),
- libibverbs-dev (>= 1.0.4),
+ libfuse-dev,
+ libibverbs-dev,
  libdb-dev,
  librdmacm-dev,
  libaio-dev,
@@ -17,11 +17,11 @@
  bison,
  libreadline-dev,
  libncurses5-dev,
+ libglib2.0-dev,
  libssl-dev,
  libxml2-dev,
  pkg-config,
- python-all-dev (>= 2.6.6-3~),
- hardening-wrapper
+ python-all-dev (>= 2.6.6-3~)
 Standards-Version: 3.9.5
 Homepage: http://www.gluster.org/

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export DEB_BUILD_HARDENING=1
 
 %:
 	dh $@ --with python2 --with autoreconf
@@ -13,7 +11,10 @@
 	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
 		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/io-stats.so
 	find debian/tmp/usr/lib -type f -name \*.la -exec sed 's/^dependency_libs/#dependency_libs/g' -i {} \;
-	dh_install
+	dh_install --list-missing
+	chmod +x $(CURDIR)/debian/glusterfs-common/usr/share/glusterfs/scripts/*.sh
+	mv $(CURDIR)/debian/glusterfs-common/usr/share/glusterfs/scripts/gsync-sync-gfid \
+		$(CURDIR)/debian/glusterfs-common/usr/lib/glusterfs/gsync-sync-gfid
 
 override_dh_installinit:
 	dh_installinit -pglusterfs-client --no-start --name mounting-glusterfs

## glusterfs 3.7.3

=== contrib/umountd/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# contrib/umountd/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/glusterfs
pkgincludedir = $(includedir)/glusterfs
pkglibdir = $(libdir)/glusterfs
pkglibexecdir = $(libexecdir)/glusterfs
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
sbin_PROGRAMS = umountd$(EXEEXT)
subdir = contrib/umountd
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/contrib/aclocal/mkdirp.m4 \
	$(top_srcdir)/contrib/aclocal/python.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(sbindir)"
PROGRAMS = $(sbin_PROGRAMS)
am_umountd_OBJECTS = umountd-umountd.$(OBJEXT)
umountd_OBJECTS = $(am_umountd_OBJECTS)
am__DEPENDENCIES_1 =
umountd_DEPENDENCIES =  \
	$(top_builddir)/libglusterfs/src/libglusterfs.la \
	$(am__DEPENDENCIES_1)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
umountd_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(umountd_CFLAGS) \
	$(CFLAGS) $(umountd_LDFLAGS) $(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC    " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD  " $@;
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN   " $@;
SOURCES = $(umountd_SOURCES)
DIST_SOURCES = $(umountd_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/missing --run aclocal-1.11
ACL_LIBS = -lacl
AMTAR = ${SHELL} /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/missing --run tar
AM_DEFAULT_VERBOSITY = 0
AM_LIBTOOLFLAGS = --quiet
AM_MAKEFLAGS =  --no-print-directory --quiet
AR = ar
ARGP_STANDALONE_CPPFLAGS = 
ARGP_STANDALONE_DIR = 
ARGP_STANDALONE_LDADD = 
AUTOCONF = ${SHELL} /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/missing --run autoconf
AUTOHEADER = ${SHELL} /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/missing --run autoheader
AUTOMAKE = ${SHELL} /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/missing --run automake-1.11
AWK = gawk
BUILD_PYTHON_INC = /usr/include/python2.6
BUILD_PYTHON_LIB = python2.6
BUILD_PYTHON_SITE_PACKAGES = /usr/lib/python2.6/site-packages
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -g -O2 -Wformat -Werror=format-security -Werror=implicit-function-declaration
CONTRIBDIR = $(top_srcdir)/contrib
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DTRACE = yes
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
FUSERMOUNT_SUBDIR = contrib/fuse-util
FUSE_CLIENT_SUBDIR = fuse
GEOREP_EXTRAS_SUBDIR = geo-rep
GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
GFAPI_LIBS = -lacl
GFAPI_LT_VERSION = 0:0:0
GFAPI_VERSION = 7.3.7.3
GF_CFLAGS =  -g -O2 -g -O2 -Wformat -Werror=format-security -g -O2 -g -O2 -Wformat -Werror=format-security -Werror=implicit-function-declaration
GF_CPPFLAGS =  -I$(CONTRIBDIR)/uuid  -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -I$(top_srcdir)/libglusterfs/src
GF_DISTRIBUTION = Redhat
GF_FUSE_CFLAGS = -DFUSERMOUNT_DIR=\"$(bindir)\"
GF_FUSE_LDADD = 
GF_HOST_OS = GF_LINUX_HOST_OS
GF_LDADD =  -lm
GF_LDFLAGS = -rdynamic
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  
GLIB_LIBS = -lglib-2.0  
GLUPY_SUBDIR = glupy
GLUPY_SUBDIR_MAKEFILE = xlators/features/glupy/Makefile
GLUPY_SUBDIR_SRC_MAKEFILE = xlators/features/glupy/src/Makefile
GLUSTERD_VOLFILE = /usr/local/etc/glusterfs/glusterd.vol
GLUSTERD_WORKDIR = /var/lib/glusterd
GLUSTERFSD_MISCDIR = /usr/local/var/lib/misc/glusterfsd
GLUSTERFS_LIBEXECDIR = /usr/local/libexec/glusterfs
GREP = /bin/grep
HAVE_BACKTRACE = 
HAVE_LINKAT = 
HAVE_MALLOC_STATS = 
HAVE_SPINLOCK = 
HAVE_STRNLEN = 
IBVERBS_SUBDIR = ib-verbs
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LEX = flex
LEXLIB = 
LEX_OUTPUT_ROOT = lex.yy
LIBAIO = -laio
LIBGFCHANGELOG_LT_VERSION = 0:1:0
LIBGFCHANGELOG_VERSION = 0.0.1
LIBGFDB_VERSION = 0.0.1
LIBGFRPC_LT_VERSION = 0:1:0
LIBGFXDR_LT_VERSION = 0:1:0
LIBGLUSTERFS_LT_VERSION = 0:1:0
LIBOBJS = 
LIBS = -lrt -lpthread -lcrypto 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/missing --run makeinfo
MATH_LIB = -lm
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OCF_SUBDIR = ocf
OTOOL = 
OTOOL64 = 
PACKAGE = glusterfs
PACKAGE_BUGREPORT = gluster-users@gluster.org
PACKAGE_NAME = glusterfs
PACKAGE_RELEASE = 0
PACKAGE_STRING = glusterfs 3.7.3
PACKAGE_TARNAME = glusterfs
PACKAGE_VERSION = 3.7.3
PATH_SEPARATOR = :
PKGCONFIG_UUID = 
PKG_CONFIG = /usr/bin/pkg-config
PYTHON = /usr/bin/python
PYTHONDEV_CFLAGS = -I/usr/include/python2.6 -I/usr/include/python2.6 -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
PYTHONDEV_CPPFLAGS = -I/usr/include/python2.6 -I/usr/include/python2.6 -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
PYTHONDEV_LDFLAGS =  -L/usr/lib -L/usr/${exec_prefix}/lib -lpthread -ldl -lutil -lm -lpython2.6
PYTHON_CFLAGS = 
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_LIBS = 
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.6
RANLIB = ranlib
RDMA_SUBDIR = rdma
RLLIBS = -lreadline -lncurses
RPCGEN = yes
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
SIZEOF_INT = 4
SIZEOF_LONG = 8
SIZEOF_LONG_LONG = 8
SIZEOF_SHORT = 2
SQLITE_CFLAGS =  
SQLITE_LIBS = -lsqlite3  
STRIP = strip
SYNCDAEMON_COMPILE = 1
SYNCDAEMON_SUBDIR = geo-replication
UMOUNTD_SUBDIR = 
UNITTEST_CFLAGS =   -DUNIT_TESTING=1 -g -DDEBUG -O0 --coverage
UNITTEST_LDFLAGS =  
UNITTEST_LIBS = 
URCU_CDS_CFLAGS =  
URCU_CDS_LIBS = -lurcu-cds  
URCU_CFLAGS =  
URCU_LIBS = -lurcu-bp  
USE_POSIX_ACLS = 1
UUID_CFLAGS = -I$(CONTRIBDIR)/uuid
UUID_LIBS = 
VERSION = 3.7.3
XML2_CONFIG = /usr/bin/xml2-config
XML_CPPFLAGS = -I/usr/include/libxml2
XML_LIBS = -lxml2 -lz -lm
YACC = bison -y
YFLAGS = 
ZLIB_CFLAGS =  
ZLIB_LIBS = -lz
abs_builddir = /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/contrib/umountd
abs_srcdir = /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/contrib/umountd
abs_top_builddir = /var/lib/jenkins/work/releases/3.7.3/glusterfs.git
abs_top_srcdir = /var/lib/jenkins/work/releases/3.7.3/glusterfs.git
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=posix -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
initdir = /etc/init.d
install_sh = ${SHELL} /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/install-sh
launchddir = /Library/LaunchDaemons
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = /var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
mountutildir = /sbin
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgconfigdir = ${libdir}/pkgconfig
pkgpyexecdir = ${pyexecdir}/glusterfs
pkgpythondir = ${pythondir}/glusterfs
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib64/python2.6/site-packages
pythondir = ${prefix}/lib/python2.6/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
shrext_cmds = .so
srcdir = .
subdirs = 
sysconfdir = ${prefix}/etc
systemddir = /usr/lib/systemd/system
target_alias = 
tmpfilesdir = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
umountd_SOURCES = umountd.c
umountd_CFLAGS = $(GF_CFLAGS) -DDATADIR=\"$(localstatedir)\"
umountd_LDADD = $(top_builddir)/libglusterfs/src/libglusterfs.la ${GF_LDADD}
umountd_LDFLAGS = $(GF_LDFLAGS)
AM_CPPFLAGS = $(GF_CPPFLAGS) -I$(top_srcdir)/libglusterfs/src 
AM_CFLAGS = -Wall $(GF_CFLAGS)
CLEANFILES = 
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign contrib/umountd/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign contrib/umountd/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)

=== debian/changelog ===
glusterfs (3.7.3-1ubuntu2) xenial; urgency=medium

  * Rebuild for liburcu4.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Nov 2015 01:59:27 +0000

glusterfs (3.7.3-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/{.upstart}:
      + Updated mount blocking upstart job to wait until network
        is up for all glusterfs mounts.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 01 Aug 2015 14:09:17 +0200

glusterfs (3.7.3-1) unstable; urgency=medium

  * New upstream release.
    - Remove merged patch 02-spelling-error-in-binary.
    - Refresh hunky patch 03-again-spelling-errors.
    - Add patch 04-more-new-spelling-errors.
  * Fix lintian warning spelling-error-in-copyright.
  * Add python dependency to glusterfs-server package.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 29 Jul 2015 17:04:22 +0200

glusterfs (3.7.2-1) unstable; urgency=high

  * New upstream release.
  * Add dependency on libacl1-dev to the glusterfs-common package.
    Closes: #789450
  * Again build glusterfs with autotools-dev.
    Closes: #787213
  * Make scripts in /usr/share/glusterfs/scripts/ executable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 22 Jun 2015 11:09:02 +0200

glusterfs (3.7.0-1) unstable; urgency=low

  * New upstream release.
    - Refresh hunky patch 02-spelling-error-in-binary.
    - Drop merged patch 03-x32-ftbfs.
    - Drop merged patch 04-spelling-error-in-binary.
    - Add new binaries and files.
    - Add new build dependencies libacl1-dev, libsqlite3-dev, liburcu-dev and
      uuid-dev.
  * Drop dh-autoreconf.
  * Remove unused lintian overrides.
  * Adjust lintian warnings and overrides in glusterfs-common package.
  * Add patch 03-again-spelling-errors to fix new spelling errors.
  * Some updates to debian/copyright.
  * Add missing python:Depends.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 21 May 2015 21:06:28 +0200

glusterfs (3.6.3-1) unstable; urgency=low

  * New upstream release.
  * Uploading to unstable.
  * Merge 3.5.2-1~bpo70+1 and 3.5.2-2 changelog.
  * Add patch 03-x32-ftbfs to fix a FTBFS on x32. Thanks to Adam Borowski!
    Closes: #778790
  * Overwrite false positive lintian warnings.
  * Add patch 04-spelling-error-in-binary to fix a spelling error in the source
    code.
  * Update debian/copyright to the DEP5 format.
  * Remove unused lintian override possible-gpl-code-linked-with-openssl.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 26 Apr 2015 16:06:22 +0200

glusterfs (3.6.2-1) experimental; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 27 Jan 2015 18:50:22 +0100

glusterfs (3.6.1-1) experimental; urgency=low

  * New upstream release.
    - glfsheal is removed.
    - Adjust lintian overrides.
    - Add new files.
  * dh-python build dependency added.
  * Bump Standards-Version to 3.9.6 (no changes required).
  * Add patch 01-hyphen-used-as-minus-sign to fix some lintian warnings.
  * Add patch 02-spelling-error-in-binary to fix some spelling errors in the
    source code.
  * Overwrite lintian warning arch-dep-package-has-big-usr-share, this is just
    because of the huge upstream changelog.
  * Handle private Python modules with dh_python2 to fix
    package-installs-python-bytecode.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 11 Nov 2014 22:41:47 +0100

glusterfs (3.5.2-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Mar 2015 10:37:53 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,16 @@
 XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Uploaders: Louis Zuckerman <me@louiszuckerman.com>
 Build-Depends: debhelper (>= 9),
- dh-autoreconf,
+ autotools-dev,
  libfuse-dev,
  libibverbs-dev,
  libdb-dev,
  librdmacm-dev,
  libaio-dev,
+ libacl1-dev,
+ libsqlite3-dev,
+ liburcu-dev,
+ uuid-dev,
  liblvm2-dev,
  attr,
  flex,
@@ -21,8 +25,9 @@
  libssl-dev,
  libxml2-dev,
  pkg-config,
+ dh-python,
  python-all-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.gluster.org/
 
 Package: glusterfs-client
@@ -47,6 +52,8 @@
 Architecture: any
 Depends: ${misc:Depends},
  ${shlibs:Depends},
+ ${python:Depends},
+ python,
  lsb-base (>= 3.0-6),
  glusterfs-common (>= ${binary:Version}),
  glusterfs-client (>= ${binary:Version})
@@ -69,6 +76,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
  ${shlibs:Depends},
+ ${python:Depends},
+ libacl1-dev,
  psmisc
 Conflicts: libglusterfs0,
  libglusterfs-dev

## glusterfs 3.7.6

=== contrib/umountd/Makefile ===
--- 
+++ 
@@ -92,9 +92,9 @@
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/missing --run aclocal-1.11
+ACLOCAL = ${SHELL} /var/lib/jenkins/work/releases/3.7.6/glusterfs.git/missing --run aclocal-1.11
 ACL_LIBS = -lacl
-AMTAR = ${SHELL} /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/missing --run tar
+AMTAR = ${SHELL} /var/lib/jenkins/work/releases/3.7.6/glusterfs.git/missing --run tar
 AM_DEFAULT_VERBOSITY = 0
 AM_LIBTOOLFLAGS = --quiet
 AM_MAKEFLAGS =  --no-print-directory --quiet
@@ -102,9 +102,9 @@
 ARGP_STANDALONE_CPPFLAGS = 
 ARGP_STANDALONE_DIR = 
 ARGP_STANDALONE_LDADD = 
-AUTOCONF = ${SHELL} /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/missing --run autoconf
-AUTOHEADER = ${SHELL} /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/missing --run autoheader
-AUTOMAKE = ${SHELL} /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/missing --run automake-1.11
+AUTOCONF = ${SHELL} /var/lib/jenkins/work/releases/3.7.6/glusterfs.git/missing --run autoconf
+AUTOHEADER = ${SHELL} /var/lib/jenkins/work/releases/3.7.6/glusterfs.git/missing --run autoheader
+AUTOMAKE = ${SHELL} /var/lib/jenkins/work/releases/3.7.6/glusterfs.git/missing --run automake-1.11
 AWK = gawk
 BUILD_PYTHON_INC = /usr/include/python2.6
 BUILD_PYTHON_LIB = python2.6
@@ -133,7 +133,7 @@
 GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
 GFAPI_LIBS = -lacl
 GFAPI_LT_VERSION = 0:0:0
-GFAPI_VERSION = 7.3.7.3
+GFAPI_VERSION = 7.3.7.6
 GF_CFLAGS =  -g -O2 -g -O2 -Wformat -Werror=format-security -g -O2 -g -O2 -Wformat -Werror=format-security -Werror=implicit-function-declaration
 GF_CPPFLAGS =  -I$(CONTRIBDIR)/uuid  -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -I$(top_srcdir)/libglusterfs/src
 GF_DISTRIBUTION = Redhat
@@ -181,7 +181,7 @@
 LIPO = 
 LN_S = ln -s
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/missing --run makeinfo
+MAKEINFO = ${SHELL} /var/lib/jenkins/work/releases/3.7.6/glusterfs.git/missing --run makeinfo
 MATH_LIB = -lm
 MKDIR_P = /bin/mkdir -p
 NM = /usr/bin/nm -B
@@ -195,9 +195,9 @@
 PACKAGE_BUGREPORT = gluster-users@gluster.org
 PACKAGE_NAME = glusterfs
 PACKAGE_RELEASE = 0
-PACKAGE_STRING = glusterfs 3.7.3
+PACKAGE_STRING = glusterfs 3.7.6
 PACKAGE_TARNAME = glusterfs
-PACKAGE_VERSION = 3.7.3
+PACKAGE_VERSION = 3.7.6
 PATH_SEPARATOR = :
 PKGCONFIG_UUID = 
 PKG_CONFIG = /usr/bin/pkg-config
@@ -238,7 +238,7 @@
 USE_POSIX_ACLS = 1
 UUID_CFLAGS = -I$(CONTRIBDIR)/uuid
 UUID_LIBS = 
-VERSION = 3.7.3
+VERSION = 3.7.6
 XML2_CONFIG = /usr/bin/xml2-config
 XML_CPPFLAGS = -I/usr/include/libxml2
 XML_LIBS = -lxml2 -lz -lm
@@ -246,10 +246,10 @@
 YFLAGS = 
 ZLIB_CFLAGS =  
 ZLIB_LIBS = -lz
-abs_builddir = /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/contrib/umountd
-abs_srcdir = /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/contrib/umountd
-abs_top_builddir = /var/lib/jenkins/work/releases/3.7.3/glusterfs.git
-abs_top_srcdir = /var/lib/jenkins/work/releases/3.7.3/glusterfs.git
+abs_builddir = /var/lib/jenkins/work/releases/3.7.6/glusterfs.git/contrib/umountd
+abs_srcdir = /var/lib/jenkins/work/releases/3.7.6/glusterfs.git/contrib/umountd
+abs_top_builddir = /var/lib/jenkins/work/releases/3.7.6/glusterfs.git
+abs_top_srcdir = /var/lib/jenkins/work/releases/3.7.6/glusterfs.git
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
 am__include = include
@@ -278,7 +278,7 @@
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
 initdir = /etc/init.d
-install_sh = ${SHELL} /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/install-sh
+install_sh = ${SHELL} /var/lib/jenkins/work/releases/3.7.6/glusterfs.git/install-sh
 launchddir = /Library/LaunchDaemons
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec

=== debian/changelog ===
glusterfs (3.7.6-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/{.upstart}, debian/rules:
      + Updated mount blocking upstart job to wait until network
        is up for all glusterfs mounts.

 -- Artur Rona <ari-tczew@ubuntu.com>  Fri, 25 Dec 2015 21:21:12 +0100

glusterfs (3.7.6-1) unstable; urgency=medium

  * New upstream release.
    - Refresh hunky patch 03-again-spelling-errors.
    - Refresh hunky patch 04-more-new-spelling-errors.
  * Merge 3.7.5-1~bpo8+1 changelog.
  * Overwrite lintian warning manpage-has-errors-from-man in glusterfs-client.
  * Add patch 02-shell-script-fails-syntax-check to fix bashishms in shell
    scripts. This also fixes the lintian error shell-script-fails-syntax-check.
  * Move gluster-common package from section libs to admin.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 09 Nov 2015 10:32:14 +0100

glusterfs (3.7.5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 15 Oct 2015 10:43:31 +0200

glusterfs (3.7.5-1) unstable; urgency=medium

  * New upstream release.
  * Merge 3.7.4-1~bpo8+1 changelog.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 08 Oct 2015 11:10:12 +0200

glusterfs (3.7.4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 01 Oct 2015 14:49:36 +0200

glusterfs (3.7.4-1) unstable; urgency=medium

  * New upstream release.
    - Missing return check for setuid calls fixed.
      Closes: #796023
    - Refresh hunky patch 03-again-spelling-errors.
    - Refresh hunky patch 04-more-new-spelling-errors.
  * Merge 3.5.2-2+deb8u1 changelog.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 01 Sep 2015 16:00:45 +0200

glusterfs (3.5.2-2+deb8u1) jessie-proposed-updates; urgency=medium

  * Add upstream patch 02-nfs-unix-domain-socket-created-as-fifo to fix a bug
    on using glusterfs as nfs volume: unix domain sockets were created as FIFO.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 29 Jul 2015 19:22:33 +0200

=== debian/control ===
--- 
+++ 
@@ -71,7 +71,6 @@
  GlusterFS into a fully fledged file server.
 
 Package: glusterfs-common
-Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,10 @@
 #!/usr/bin/make -f
 
+DEB_UPSTREAM_VERSION := $(shell dpkg-parsechangelog|grep "^Version:"|cut -d" " -f2|rev|cut -d- -f2-|rev|cut -d':' -f2)
+DEB_HOST_MULTIARCH   := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 %:
-	dh $@ --with python2 --with autoreconf
+	dh $@ --with python2 --with autotools-dev
 
 override_dh_install:
 	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
@@ -12,9 +15,19 @@
 		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/io-stats.so
 	find debian/tmp/usr/lib -type f -name \*.la -exec sed 's/^dependency_libs/#dependency_libs/g' -i {} \;
 	dh_install --list-missing
-	chmod +x $(CURDIR)/debian/glusterfs-common/usr/share/glusterfs/scripts/*.sh
 	mv $(CURDIR)/debian/glusterfs-common/usr/share/glusterfs/scripts/gsync-sync-gfid \
 		$(CURDIR)/debian/glusterfs-common/usr/lib/glusterfs/gsync-sync-gfid
+	mv $(CURDIR)/debian/glusterfs-server/usr/sbin/gcron.py \
+		$(CURDIR)/debian/glusterfs-server/usr/sbin/gcron
+	mv $(CURDIR)/debian/glusterfs-server/usr/sbin/snap_scheduler.py \
+		$(CURDIR)/debian/glusterfs-server/usr/sbin/snap_scheduler
+	chmod +x $(CURDIR)/debian/glusterfs-common/usr/share/glusterfs/scripts/*.sh
+
+override_dh_python2:
+	dh_python2 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/$(DEB_UPSTREAM_VERSION)/xlator/features/glupy/
+	dh_python2 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/python/syncdaemon/
+	dh_python2 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/glusterfind/
+	dh_python2 usr/lib/python2.7/dist-packages/gluster/
 
 override_dh_installinit:
 	dh_installinit -pglusterfs-client --no-start --name mounting-glusterfs

=== debian/watch ===
version=3
http://download.gluster.org/pub/gluster/glusterfs/LATEST/glusterfs-([\d.]+)\.tar\.gz
